## r-bioc-scuttle 1.0.4%2Bdfsg

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
Restrictions: allow-stderr
# Architecture: !armhf, !ppc64el

## r-bioc-scuttle 1.0.4+dfsg

=== DESCRIPTION ===
Package: scuttle
Type: Package
Authors@R: c(
        person("Aaron", "Lun", role = c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com"),
        person("Davis", "McCarthy", role="aut")
    )
Version: 1.0.4
Date: 2020-12-16
License: GPL-3
Title: Single-Cell RNA-Seq Analysis Utilities
Description: 
    Provides basic utility functions for performing single-cell analyses,
    focusing on simple normalization, quality control and data transformations.
    Also provides some helper functions to assist development of other packages.
Depends: SingleCellExperiment
Imports: methods, utils, stats, Matrix, Rcpp, BiocGenerics, S4Vectors,
        BiocParallel, GenomicRanges, SummarizedExperiment,
        DelayedArray, DelayedMatrixStats, beachmat
Suggests: BiocStyle, knitr, scRNAseq, rmarkdown, testthat
VignetteBuilder: knitr
biocViews: ImmunoOncology, SingleCell, RNASeq, QualityControl,
        Preprocessing, Normalization, Transcriptomics, GeneExpression,
        Sequencing, Software, DataImport
LinkingTo: Rcpp, beachmat
SystemRequirements: C++11
RoxygenNote: 7.1.1
NeedsCompilation: yes
git_url: https://git.bioconductor.org/packages/scuttle
git_branch: RELEASE_3_12
git_last_commit: a827e27
git_last_commit_date: 2020-12-17
Date/Publication: 2020-12-17
Packaged: 2020-12-18 03:27:56 UTC; biocbuild
Author: Aaron Lun [aut, cre],
  Davis McCarthy [aut]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scuttle (1.0.4+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Don't use pkg-r-autopkgtest instead of deleting files

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 06 Feb 2021 15:59:13 +0100

r-bioc-scuttle (1.0.4+dfsg-3) unstable; urgency=medium

  * Keep on testing on armhf and ppc64el but exclude single test
    that is failing on this architecture

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jan 2021 13:44:40 +0100

r-bioc-scuttle (1.0.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Skip tests on armhf, ppc64el

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 12 Jan 2021 18:36:31 +0100

r-bioc-scuttle (1.0.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Jan 2021 13:48:59 +0100

r-bioc-scuttle (1.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Nov 2020 11:35:27 +0100

r-bioc-scuttle (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Nov 2020 11:02:26 +0100

r-bioc-scuttle (1.0.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #974976)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Nov 2020 14:48:49 +0100

=== debian/control ===
Source: r-bioc-scuttle
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-singlecellexperiment,
               r-cran-matrix,
               r-cran-rcpp,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-biocparallel,
               r-bioc-genomicranges,
               r-bioc-summarizedexperiment,
               r-bioc-delayedarray,
               r-bioc-delayedmatrixstats,
               r-bioc-beachmat
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scuttle
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scuttle.git
Homepage: https://bioconductor.org/packages/scuttle/
Rules-Requires-Root: no

Package: r-bioc-scuttle
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor single-cell RNA-Seq analysis utilities
 Provides basic utility functions for performing single-cell analyses,
 focusing on simple normalization, quality control and data transformations.
 Also provides some helper functions to assist development of other packages.

## r-bioc-scuttle 1.4.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
         person("Aaron", "Lun", role = c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com"),
         person("Davis", "McCarthy", role="aut")
     )
-Version: 1.0.4
-Date: 2020-12-16
+Version: 1.4.0
+Date: 2021-08-04
 License: GPL-3
 Title: Single-Cell RNA-Seq Analysis Utilities
 Description: 
@@ -16,7 +16,7 @@
 Imports: methods, utils, stats, Matrix, Rcpp, BiocGenerics, S4Vectors,
         BiocParallel, GenomicRanges, SummarizedExperiment,
         DelayedArray, DelayedMatrixStats, beachmat
-Suggests: BiocStyle, knitr, scRNAseq, rmarkdown, testthat
+Suggests: BiocStyle, knitr, scRNAseq, rmarkdown, testthat, scran
 VignetteBuilder: knitr
 biocViews: ImmunoOncology, SingleCell, RNASeq, QualityControl,
         Preprocessing, Normalization, Transcriptomics, GeneExpression,
@@ -26,11 +26,11 @@
 RoxygenNote: 7.1.1
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/scuttle
-git_branch: RELEASE_3_12
-git_last_commit: a827e27
-git_last_commit_date: 2020-12-17
-Date/Publication: 2020-12-17
-Packaged: 2020-12-18 03:27:56 UTC; biocbuild
+git_branch: RELEASE_3_14
+git_last_commit: b335263
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
+Packaged: 2021-10-26 22:49:21 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Davis McCarthy [aut]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

## r-bioc-scuttle 1.4.0+dfsg

=== debian/changelog ===
r-bioc-scuttle (1.4.0+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * Fix path in autopkgtest hook

 -- Nilesh Patra <nilesh@debian.org>  Thu, 02 Dec 2021 10:53:47 +0530

r-bioc-scuttle (1.4.0+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * d/t/autopkgtest-pkg-r.hook: Ignore selected tests
    also on pkg-r-autopkgtest

 -- Nilesh Patra <nilesh@debian.org>  Thu, 02 Dec 2021 04:12:01 +0530

r-bioc-scuttle (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 14:55:46 +0100

r-bioc-scuttle (1.2.1+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * d/t/run-unit-test: Fix substitution file

 -- Nilesh Patra <nilesh@debian.org>  Mon, 20 Sep 2021 12:24:05 +0530

r-bioc-scuttle (1.2.1+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * d/t/run-unit-test: Skip more failing tests on armhf and ppc64el
  * d/control: Do not run autodep8 tests

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Sep 2021 19:16:42 +0530

r-bioc-scuttle (1.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Sep 2021 22:03:19 +0530

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -17,7 +18,7 @@
                r-bioc-delayedarray,
                r-bioc-delayedmatrixstats,
                r-bioc-beachmat
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scuttle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scuttle.git
 Homepage: https://bioconductor.org/packages/scuttle/

## r-bioc-scuttle 1.6.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
         person("Aaron", "Lun", role = c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com"),
         person("Davis", "McCarthy", role="aut")
     )
-Version: 1.4.0
-Date: 2021-08-04
+Version: 1.6.3
+Date: 2022-08-22
 License: GPL-3
 Title: Single-Cell RNA-Seq Analysis Utilities
 Description: 
@@ -23,14 +23,14 @@
         Sequencing, Software, DataImport
 LinkingTo: Rcpp, beachmat
 SystemRequirements: C++11
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/scuttle
-git_branch: RELEASE_3_14
-git_last_commit: b335263
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 22:49:21 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: df23680
+git_last_commit_date: 2022-08-23
+Date/Publication: 2022-08-23
+Packaged: 2022-08-23 21:57:08 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Davis McCarthy [aut]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scuttle (1.6.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Aug 2022 16:23:27 +0200

r-bioc-scuttle (1.6.2+dfsg-2) unstable; urgency=medium

  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 11:30:32 +0200

r-bioc-scuttle (1.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 10:07:20 +0200

r-bioc-scuttle (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 07:29:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-scuttle
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scuttle
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scuttle.git
+Homepage: https://bioconductor.org/packages/scuttle/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -18,11 +22,7 @@
                r-bioc-delayedarray,
                r-bioc-delayedmatrixstats,
                r-bioc-beachmat
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scuttle
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scuttle.git
-Homepage: https://bioconductor.org/packages/scuttle/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-scuttle
 Architecture: any

## r-bioc-scuttle 1.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
         person("Aaron", "Lun", role = c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com"),
         person("Davis", "McCarthy", role="aut")
     )
-Version: 1.6.3
+Version: 1.8.0
 Date: 2022-08-22
 License: GPL-3
 Title: Single-Cell RNA-Seq Analysis Utilities
@@ -23,14 +23,14 @@
         Sequencing, Software, DataImport
 LinkingTo: Rcpp, beachmat
 SystemRequirements: C++11
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/scuttle
-git_branch: RELEASE_3_15
-git_last_commit: df23680
-git_last_commit_date: 2022-08-23
-Date/Publication: 2022-08-23
-Packaged: 2022-08-23 21:57:08 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: dabf6b9
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
+Packaged: 2022-11-01 23:00:05 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Davis McCarthy [aut]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

## r-bioc-scuttle 1.8.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
         person("Aaron", "Lun", role = c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com"),
         person("Davis", "McCarthy", role="aut")
     )
-Version: 1.8.0
-Date: 2022-08-22
+Version: 1.8.4
+Date: 2022-12-07
 License: GPL-3
 Title: Single-Cell RNA-Seq Analysis Utilities
 Description: 
@@ -23,14 +23,14 @@
         Sequencing, Software, DataImport
 LinkingTo: Rcpp, beachmat
 SystemRequirements: C++11
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.2
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/scuttle
 git_branch: RELEASE_3_16
-git_last_commit: dabf6b9
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 23:00:05 UTC; biocbuild
+git_last_commit: ac64d31
+git_last_commit_date: 2023-01-19
+Date/Publication: 2023-01-19
+Packaged: 2023-01-19 23:03:40 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Davis McCarthy [aut]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scuttle (1.8.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 15:05:00 +0100

r-bioc-scuttle (1.8.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2022 17:36:21 +0100

r-bioc-scuttle (1.8.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 13:54:38 +0100

r-bioc-scuttle (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2022 08:45:27 +0100

r-bioc-scuttle (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 16:34:22 +0100

## r-bioc-scuttle 1.10.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
         person("Aaron", "Lun", role = c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com"),
         person("Davis", "McCarthy", role="aut")
     )
-Version: 1.8.4
-Date: 2022-12-07
+Version: 1.10.1
+Date: 2022-01-22
 License: GPL-3
 Title: Single-Cell RNA-Seq Analysis Utilities
 Description: 
@@ -26,11 +26,11 @@
 RoxygenNote: 7.2.2
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/scuttle
-git_branch: RELEASE_3_16
-git_last_commit: ac64d31
-git_last_commit_date: 2023-01-19
-Date/Publication: 2023-01-19
-Packaged: 2023-01-19 23:03:40 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 14f5423
+git_last_commit_date: 2023-05-01
+Date/Publication: 2023-05-02
+Packaged: 2023-05-02 22:24:17 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Davis McCarthy [aut]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scuttle (1.10.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 06:02:49 +0200

## r-bioc-scuttle 1.10.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
         person("Aaron", "Lun", role = c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com"),
         person("Davis", "McCarthy", role="aut")
     )
-Version: 1.10.1
-Date: 2022-01-22
+Version: 1.10.2
+Date: 2023-08-02
 License: GPL-3
 Title: Single-Cell RNA-Seq Analysis Utilities
 Description: 
@@ -27,10 +27,10 @@
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/scuttle
 git_branch: RELEASE_3_17
-git_last_commit: 14f5423
-git_last_commit_date: 2023-05-01
-Date/Publication: 2023-05-02
-Packaged: 2023-05-02 22:24:17 UTC; biocbuild
+git_last_commit: c9eab1e
+git_last_commit_date: 2023-08-03
+Date/Publication: 2023-08-03
+Packaged: 2023-08-03 22:24:55 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Davis McCarthy [aut]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scuttle (1.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 14 Aug 2023 12:03:38 +0200

## r-bioc-scuttle 1.12.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scuttle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scuttle.git
 Homepage: https://bioconductor.org/packages/scuttle/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-scuttle 1.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
         person("Aaron", "Lun", role = c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com"),
         person("Davis", "McCarthy", role="aut")
     )
-Version: 1.10.2
-Date: 2023-08-02
+Version: 1.12.0
+Date: 2023-10-09
 License: GPL-3
 Title: Single-Cell RNA-Seq Analysis Utilities
 Description: 
@@ -23,14 +23,14 @@
         Sequencing, Software, DataImport
 LinkingTo: Rcpp, beachmat
 SystemRequirements: C++11
-RoxygenNote: 7.2.2
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/scuttle
-git_branch: RELEASE_3_17
-git_last_commit: c9eab1e
-git_last_commit_date: 2023-08-03
-Date/Publication: 2023-08-03
-Packaged: 2023-08-03 22:24:55 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 94dd066
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
+Packaged: 2023-10-24 23:02:46 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Davis McCarthy [aut]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scuttle (1.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 18:14:45 +0100

r-bioc-scuttle (1.10.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 09:20:51 +0200

r-bioc-scuttle (1.10.2+dfsg-2) unstable; urgency=medium

  * Exclude four failing test on armel

 -- Andreas Tille <tille@debian.org>  Mon, 09 Oct 2023 21:44:07 +0200

## r-bioc-scuttle 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
         person("Aaron", "Lun", role = c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com"),
         person("Davis", "McCarthy", role="aut")
     )
-Version: 1.12.0
-Date: 2023-10-09
+Version: 1.14.0
+Date: 2024-03-05
 License: GPL-3
 Title: Single-Cell RNA-Seq Analysis Utilities
 Description: 
@@ -26,11 +26,12 @@
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/scuttle
-git_branch: RELEASE_3_18
-git_last_commit: 94dd066
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 23:02:46 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: 7e2bcae
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 06:00:56 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Davis McCarthy [aut]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scuttle (1.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:48:32 +0200

r-bioc-scuttle (1.14.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 16:19:00 +0200

r-bioc-scuttle (1.14.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 10:29:02 +0200

=== debian/control ===
--- 
+++ 
@@ -11,26 +11,39 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-singlecellexperiment,
+               r-bioc-singlecellexperiment (>= 1.26.0),
                r-cran-matrix,
                r-cran-rcpp,
-               r-bioc-biocgenerics,
-               r-bioc-s4vectors,
-               r-bioc-biocparallel,
-               r-bioc-genomicranges,
-               r-bioc-summarizedexperiment,
-               r-bioc-delayedarray,
-               r-bioc-delayedmatrixstats,
-               r-bioc-beachmat
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-biocparallel (>= 1.38.0),
+               r-bioc-genomicranges (>= 1.56.1),
+               r-bioc-summarizedexperiment (>= 1.34.0),
+               r-bioc-delayedarray (>= 0.30.1),
+               r-bioc-delayedmatrixstats (>= 1.26.0),
+               r-bioc-beachmat (>= 2.20.0),
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-scuttle
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-singlecellexperiment (>= 1.26.0),
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-biocparallel (>= 1.38.0),
+         r-bioc-genomicranges (>= 1.56.1),
+         r-bioc-summarizedexperiment (>= 1.34.0),
+         r-bioc-delayedarray (>= 0.30.1),
+         r-bioc-delayedmatrixstats (>= 1.26.0),
+         r-bioc-beachmat (>= 2.20.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-scrnaseq (>= 2.18.0),
+          r-bioc-scran (>= 1.32.0)
 Description: BioConductor single-cell RNA-Seq analysis utilities
  Provides basic utility functions for performing single-cell analyses,
  focusing on simple normalization, quality control and data transformations.

## r-bioc-scuttle 1.16.0+dfsg

=== DESCRIPTION ===
Package: scuttle
Type: Package
Authors@R: c(
        person("Aaron", "Lun", role = c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com"),
        person("Davis", "McCarthy", role="aut")
    )
Version: 1.16.0
Date: 2024-10-26
License: GPL-3
Title: Single-Cell RNA-Seq Analysis Utilities
Description: 
    Provides basic utility functions for performing single-cell analyses,
    focusing on simple normalization, quality control and data transformations.
    Also provides some helper functions to assist development of other packages.
Depends: SingleCellExperiment
Imports: methods, utils, stats, Matrix, Rcpp, BiocGenerics, S4Vectors,
        BiocParallel, GenomicRanges, SummarizedExperiment, S4Arrays,
        MatrixGenerics, SparseArray, DelayedArray, beachmat
Suggests: BiocStyle, knitr, scRNAseq, rmarkdown, testthat,
        sparseMatrixStats, DelayedMatrixStats, scran
VignetteBuilder: knitr
biocViews: ImmunoOncology, SingleCell, RNASeq, QualityControl,
        Preprocessing, Normalization, Transcriptomics, GeneExpression,
        Sequencing, Software, DataImport
LinkingTo: Rcpp, beachmat
SystemRequirements: C++11
RoxygenNote: 7.3.2
Encoding: UTF-8
NeedsCompilation: yes
git_url: https://git.bioconductor.org/packages/scuttle
git_branch: RELEASE_3_20
git_last_commit: ca4d5bd
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
Packaged: 2024-10-30 02:49:33 UTC; biocbuild
Author: Aaron Lun [aut, cre],
  Davis McCarthy [aut]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scuttle (1.16.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Skip the autopkgtests if the dependencies are unsatisfiable, like on
    s390x.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Jan 2025 13:47:07 +0100

r-bioc-scuttle (1.16.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 15:24:11 +0100

r-bioc-scuttle (1.16.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Deleted unused patches.
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 12:32:21 +0100

=== debian/control ===
Source: r-bioc-scuttle
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scuttle
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scuttle.git
Homepage: https://bioconductor.org/packages/scuttle/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-singlecellexperiment,
               r-cran-matrix,
               r-cran-rcpp,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-biocparallel,
               r-bioc-genomicranges,
               r-bioc-summarizedexperiment,
               r-bioc-s4arrays,
               r-bioc-matrixgenerics,
               r-bioc-sparsearray,
               r-bioc-delayedarray,
               r-bioc-beachmat,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-scuttle
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor single-cell RNA-Seq analysis utilities
 Provides basic utility functions for performing single-cell analyses,
 focusing on simple normalization, quality control and data transformations.
 Also provides some helper functions to assist development of other packages.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/scuttle.html .*/scuttle_(.*).tar.gz
